Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action
Class BulkOperationCleanupAction

    java.lang.Object
      org.hibernate.action.BulkOperationCleanupAction

All Implemented Interfaces:
  Serializable, Executable

    public class BulkOperationCleanupAction

extends Object
implements Executable, Serializable

Implementation of BulkOperationCleanupAction.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`BulkOperationCleanupAction(SessionImplementor session, Queryable[] affectedQueryables)`
`BulkOperationCleanupAction(SessionImplementor session, Set querySpaces)` Create an action that will evict collection and entity regions based on queryspaces (table names).

Method Summary
`void` | `afterTransactionCompletion(boolean success)` Called after the transaction completes
`void` | `beforeExecutions()` Called before executing any actions
`void` | `execute()` Execute this action
`Serializable[]` | `getPropertySpaces()` What spaces (tables) are affected by this action?
`boolean` | `hasAfterTransactionCompletion()` Do we need to retain this instance until after the transaction completes?
`void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BulkOperationCleanupAction

    public BulkOperationCleanupAction(SessionImplementor session,
                                      Queryable[] affectedQueryables)

### BulkOperationCleanupAction

    public BulkOperationCleanupAction(SessionImplementor session,
                                      Set querySpaces)

  Create an action that will evict collection and entity regions based on queryspaces (table names). TODO: cache the autodetected information and pass it in instead.

Method Detail

### init

    public void init()

### hasAfterTransactionCompletion

    public boolean hasAfterTransactionCompletion()

  Description copied from interface: `Executable`
  Do we need to retain this instance until after the transaction completes?

  Specified by:
    `hasAfterTransactionCompletion` in interface `Executable`
  Returns:
    false if this class defines a no-op `hasAfterTransactionCompletion()`

### afterTransactionCompletion

    public void afterTransactionCompletion(boolean success)
                                    throws HibernateException

  Description copied from interface: `Executable`
  Called after the transaction completes

  Specified by:
    `afterTransactionCompletion` in interface `Executable`
  Throws:
    `HibernateException`

### getPropertySpaces

    public Serializable[] getPropertySpaces()

  Description copied from interface: `Executable`
  What spaces (tables) are affected by this action?

  Specified by:
    `getPropertySpaces` in interface `Executable`

### beforeExecutions

    public void beforeExecutions()
                          throws HibernateException

  Description copied from interface: `Executable`
  Called before executing any actions

  Specified by:
    `beforeExecutions` in interface `Executable`
  Throws:
    `HibernateException`

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Specified by:
    `execute` in interface `Executable`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD